### Enumeration

# GLib OptionError

since: 2.0

#### Declaration

    error-domain GLib.OptionError

#### Description

Error codes returned by option parsing.

Available since: 2.0

#### Members

`G_OPTION_ERROR_UNKNOWN_OPTION`

  An option was not known to the parser. This error will only be reported, if the parser hasn’t been instructed to ignore unknown options, see g_option_context_set_ignore_unknown_options().

  - Value: `0`
  - Nickname: `None`
  - Available since: 2.0
`G_OPTION_ERROR_BAD_VALUE`

  A value couldn’t be parsed.

  - Value: `1`
  - Nickname: `None`
  - Available since: 2.0
`G_OPTION_ERROR_FAILED`

  A `GOptionArgFunc` callback failed.

  - Value: `2`
  - Nickname: `None`
  - Available since: 2.0